<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Cajas Cobrar a Cliente por lista de Productos';
echo "<title>".AppName.' - '.$title."</title>";
$SucCodigo = SucursalUsuario($USID);

$sql = "SELECT MAX(asis_id) AS mx,asis_tipo FROM rol_usuarios_asistencia
	WHERE us_id = '$USID'
  	AND asis_tipo = 'inicio';";

	$db = new DB();
	$db->dbSQL($sql);
	$db->next();
    $id = $db->dbField('mx');
	$sql2 = "SELECT * FROM rol_usuarios_asistencia
	WHERE asis_id = '$id';";
	$db->dbSQL($sql2);
	$db->next();
    $codigo_universal = $db->dbField('asis_codigo');

function SucursalUsuario($us_codigo){
  $Usuario = new DB();
  $sqlUsuario = "SELECT * FROM rol_usuarios
  WHERE us_id = '$us_codigo';";
  $Usuario->dbSQL($sqlUsuario);
  $Usuario->next();
  $sucursal = $Usuario->dbField('ubica_codigo');

  return $sucursal;
}
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">										
									<?php
									$Productos = new DB();
									$ProdVendido = new DB();
									$Clientes = new DB();
									$Ubicaciones = new DB();

									//if($TipoUsuario == "Super-Cajero"){										
										$sqlVentas = "SELECT * FROM ventas_cajeros caj, ventas_productos prod
										WHERE caj.ven_codigo = prod.ven_codigo
										AND caj.entre_estado <>'1'
										GROUP BY caj.entre_codigo
										ORDER BY caj.entre_id DESC;";
									/*}else{
										$sqlVentas = "SELECT * FROM ventas_cajeros caj, ventas_productos prod
										WHERE caj.ven_codigo = prod.ven_codigo
										AND prod.ubica_codigo = '$SucCodigo'
										AND caj.entre_estado <>'1'
										GROUP BY caj.entre_codigo
										ORDER BY caj.entre_id DESC;";
									}*/									
									
									$Productos->dbSQL($sqlVentas);
									$CantRegistros = $Productos->dbNumRows();
									$html='<h3><b>Cantidad: </b>'.$CantRegistros.' ventas</h3><hr>';
									$i=0;
									while($Productos->next()){										
										$entre_codigo = $Productos->dbField('entre_codigo');
										$ven_codigo = $Productos->dbField('ven_codigo');
										$cajeros_usid = $Productos->dbField('cajeros_usid');
										$entre_estado = $Productos->dbField('entre_estado');
										$ent_fecha = $Productos->dbField('ent_fecha');
										$ent_fechaentrega = $Productos->dbField('ent_fechaentrega');
										$ven_numerolista = $Productos->dbField('ven_numerolista');
										$clie_codigo = $Productos->dbField('clie_codigo');										
										$ventas_tipo = $Productos->dbField('ventas_tipo');

										if($entre_estado=='0'){
											$classEntregas = 'btn btn-danger';
											$EntregaEstado = '<b>ESTADO PENDIENTE</b>';
											if($ventas_tipo=='web')
												$link = PATH_HOME.'cajeros-entregar/'.$ven_codigo.'&cod_cliente='.$clie_codigo.'&contador_ventas='.$ven_numerolista;
											else
												$link = PATH_HOME.'appcajeros-entregar.php?id='.$ven_codigo.'&cod_cliente='.$clie_codigo.'&contador_ventas='.$ven_numerolista;
										}else{
											$classEntregas = 'btn btn-primary';
											$EntregaEstado = '<b>PAGADO Y ENVIADO A ALMACEN</b>';
											$link='#';
										}

										$html.='<h2><b>Numero Lista: </b>'.$ven_numerolista.' - <b>Tipo Venta:</b> '.$ventas_tipo.' </h2>';
											$html.='<table class="display table table-striped table-hover" >
											<thead>
												<tr>				
													<th width="1%">fecha</th>
													<th>descripci&Oacute;n</th>
													<th>cliente</th>
													<th>cajas</th>
													<th>unidades</th>													
													<th>precio unitario</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>';

											//productos info
										$sqlProdVendido = "SELECT * FROM ventas_productos ven, inventarios_clientes clie, inventarios_productos prod
											WHERE ven.ven_codigo='$ven_codigo'
											AND prod.prod_codigo = ven.prod_codigo
											AND ven.clie_codigo = clie.clie_codigo;";
											$ProdVendido->dbSQL($sqlProdVendido);
											$total = 0;
											$clie_descuento=0;
												while($ProdVendido->next()){														
													//ubicaciones	
													
													//ventas fecha
													$ven_fecha = $ProdVendido->dbField('ven_fecha');
													//productos
													$prod_item = $ProdVendido->dbField('prod_item');
													$prod_codigo = $ProdVendido->dbField('prod_codigo');
													$prod_nombre = $ProdVendido->dbField('prod_nombre');
													$ubica_origen = $ProdVendido->dbField('ubica_codigo');
													$prod_piezascaja = $ProdVendido->dbField('prod_piezascaja');
													//$prod_cantidadcajas = $ProdVendido->dbField('prod_cantidadcajas');
													$prod_preciounitario = $ProdVendido->dbField('prod_preciounitario');
													$prod_preciodocena = $ProdVendido->dbField('prod_preciodocena');
													$prod_preciocajadocena  = $ProdVendido->dbField('prod_preciocajadocena');	
													//
													$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones
													WHERE ubica_codigo = '$ubica_origen';";											
													$Ubicaciones->dbSQL($sqlUbicaciones);
													$Ubicaciones->next();													
														$ubica_nombre = str_replace(' ','&nbsp;',$Ubicaciones->dbField('ubica_nombre'));
														$ubica_color = $Ubicaciones->dbField('ubica_color');
																											
													//clientes						
													$clie_codigo = $ProdVendido->dbField('clie_codigo');
													$clie_cinit = $ProdVendido->dbField('clie_cinit');
													$clie_nombres = $ProdVendido->dbField('clie_nombres');
													$clie_apellidos = $ProdVendido->dbField('clie_apellidos');
													$clie_destino = $ProdVendido->dbField('clie_destino');
													$clie_celular = $ProdVendido->dbField('clie_celular');
													$clie_tipopago = $ProdVendido->dbField('clie_tipopagonombre');
													$clie_descuento = $ProdVendido->dbField('clie_descuento');
													$clie_personarecoge = $ProdVendido->dbField('clie_personarecoge');
													$clie_puntoentrega = $ProdVendido->dbField('clie_puntoentrega');
													
													//Ubicaciones para entrega
													$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones
													WHERE ubica_codigo = '$clie_puntoentrega';";
													$Ubicaciones->dbSQL($sqlUbicaciones);
														if($Ubicaciones->next())
															$UbicacionesNombre = str_replace(' ','&nbsp;',$Ubicaciones->dbField('ubica_nombre'));
														else
															$UbicacionesNombre = 'Central';
													
													//ventas
													$ven_tipo = $ProdVendido->dbField('ven_tipo');
													$ven_precio = $ProdVendido->dbField('ven_precio');													
													$ven_cantidad = $ProdVendido->dbField('ven_cantidad');

													switch($ven_tipo){
														case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$piezas = 1;
														$unicaja = 'unidades';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja*12;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'cajas';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													}
													$total = $total + $ven_precio;

												
													$html.='<tr>';
													$html.='<td>'.$ven_fecha.'</td>';										
													$html.='<td><b>'.$prod_nombre.'</b><br>
													 		<small><b>Item: </b>'.$prod_item.'</small><br>
															 <small><b>Ubicaci&oacute;n: <span style="background:'.$ubica_color.';padding:4px 7px;color:#cccccc;border-radius:7px;text-shadow:1px 3px 2px black;">'.$ubica_nombre.'</span></b><br>
															<small><b>Punto Entrega: </b>'.$UbicacionesNombre.'</small>
														</td>';													
													$html.='<td>'.$clie_nombres.' '.$clie_apellidos.'</td>';																																						
													$html.='<td align=right>'.$ven_cantidad.' '.$unicaja.'</td>';
													$html.='<td align=right>'.($cantidades).'</td>';
													$html.='<td align=right>'.$precios.'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';													
													$html.='</tr>';	
												}// wend $ProdVendido()

												//if($TipoUsuario == "Super-Cajero"){	
													if($entre_estado != '1'){	
														$btnCancelar = '&nbsp;<a href="'. PATH_HOME.'cajeros-borrarventa/'.$ven_codigo.'&cod_cliente='.$clie_codigo.'&contador_ventas='.$ven_numerolista.'" class="btn btn-danger"><b>CANCELAR VENTA</b></a>';
													}
												/*}else{
													$btnCancelar = '';
												}*/

												$html.= '<tr style="background:#cccccc">
													<td colspan="5" align=center><a href="'.$link.'" class="'.$classEntregas.'">'.$EntregaEstado.'</a>
													<a href="'. PATH_HOME.'cajeros-verventa/'.$ven_codigo.'&cod_cliente='.$clie_codigo.'&contador_ventas='.$ven_numerolista.'" class="'.$classEntregas.'">
													<b>VER VENTA</b></a>
													<a href="'. PATH_HOME.'cajeros-verventa2/'.$ven_codigo.'&cod_cliente='.$clie_codigo.'&contador_ventas='.$ven_numerolista.'" class="btn bg-warning" style="color:black;" target="_blank">
													<b>IMPRIMIR en TERMICA</b></a>'.$btnCancelar.'
													</td>
													<td colspan="2" align=right>
													<h3>Total Parcial: Bs. '.number_format($total,2).'</h3></td></tr>';											
													$html.= '<tr><td colspan=7 align=right><h3>Descuento: Bs. '.number_format($clie_descuento,2).'</h3></td></tr>';
													$html.= '<tr><td colspan=7 align=right><h3><b>Subtotal menos Descuento: Bs. '.number_format(($total-$clie_descuento),2).'</b></td></tr>';
												
												$html.='</tbody></table>';
													
										}//wend 
										echo $html;
										?>																								
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>